module CodeMushu.Project where

import CodeMushu.Env
import Prelude ()


in_project :: String -> Project -> String
in_project x p = "repo" / p.project_id.show / x

project_root_path :: Project -> String
project_root_path p = "repo" / p.project_id.show

project_db_path :: Project -> String
project_db_path = in_project "db"

project_db_file :: Project -> String
project_db_file = project_db_path > (/ "code.db")

project_source_path :: Project -> String
project_source_path = in_project "src"

project_bounce_file :: Project -> String
project_bounce_file p = "public/repo/download" / p.project_id.show + ".sqlite"
